<?php

namespace Drupal\field_suggestion\Element;

use Drupal\Core\Security\TrustedCallbackInterface;
use Drupal\field_suggestion\Service\FieldSuggestionHelperInterface;

/**
 * Class FieldSuggestionOperations.
 */
class FieldSuggestionOperations implements TrustedCallbackInterface {

  /**
   * #pre_render callback to associate the appropriate cache tag.
   *
   * @param array $element
   *   An associative array containing the properties and children of the
   *   element.
   */
  public static function preRender(array $element): array {
    $element['#cache']['tags'][] = FieldSuggestionHelperInterface::TAG;
    return $element;
  }

  /**
   * {@inheritdoc}
   */
  public static function trustedCallbacks(): array {
    return ['preRender'];
  }

}
